#
# spec file for package kicad-templates
#
# Copyright (c) 2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# 5.0.x are bugfix versions, do not require users to upgrade symbols/footprints/packages
%define compatversion 5.0.0

Name:           kicad-templates
Version:        5.1.5
Release:        lp152.1.1
Summary:        Project templates for KiCad
# License is CC-BY-SA-4.0 but there is an exception
# See included LICENSE.md and kicad-pcb.org/libraries/license/
License:        CC-BY-SA-4.0
Group:          Productivity/Scientific/Electronics
URL:            http://kicad-pcb.org
Source:         https://github.com/KiCad/kicad-templates/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildArch:      noarch
Provides:       kicad-templates = %{compatversion}
# kicad library has been removed, templates are packaged separately
Conflicts:      kicad-library <= 4.0.7
Provides:       kicad-library:%{_datadir}/kicad/template/Arduino_Fio/fp-lib-table

%description
KiCad is a software suite used for Electronic Design Automation (EDA).

This is the project templates package for KiCad.

%prep
%setup -q

%build
%cmake \
    -DKICAD_DATA:PATH=%{_datadir}/kicad
%make_jobs

%install
%cmake_install
%fdupes -s %{buildroot}/%{_datadir}/kicad/template/

%files
%{_datadir}/kicad/
%license LICENSE.md

%changelog
* Fri Feb 14 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add Conflicts for kicad-library, removed/split with kicad-5.0.0,
  fixes upgrade path for e.g. Leap 15.2.
* Mon Nov 18 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.5
  See http://kicad-pcb.org/blog/2019/11/KiCad-5.1.5-Release/ for details.
* Wed Aug  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.4
  See http://kicad-pcb.org/blog/2019/08/KiCad-5.1.4-Release/ for details.
* Mon Apr 15 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.1
  See http://kicad-pcb.org/blog/2019/04/KiCad-5.1.1-Release/ for details.
* Mon Mar 11 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.0
  See http://kicad-pcb.org/blog/2019/03/KiCad-5.1.0-Release/ for details.
* Thu Dec  6 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.0.2
* Thu Oct 18 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Initial package, version 5.0.1
